//
//  BESystemVersion.h
//  BEToolkit
//
//  Created by Philipp on 08/07/2009.
//  Copyright 2011 Incredible Bee Ltd. All rights reserved.
//
//  Code taken from
//     http://www.cocoadev.com/index.pl?DeterminingOSVersion
//
//  Example use:
//    unsigned major, minor, bugFix;
//    [NSApp getSystemVersionMajor:&major minor:&minor bugFix:&bugFix];
//    NSLog(@"%u.%u.%u", major, minor, bugFix);

#import <Foundation/Foundation.h>
#import <CoreServices/CoreServices.h>


// Determines the system version
extern void GetSystemVersion(unsigned *major, unsigned *minor, unsigned *bugFix);

// Returns the system version as a string
extern NSString *SystemVersionString(void);

// determines whether the current system is snow leopard or later
extern BOOL SystemIsSnowLeopardOrLater(void);

extern BOOL SystemIsElCapitanOrLater(void);
